「漏洞通告」WebSphere远程代码执行漏洞(CVE-2020-4450)

漏洞概述

北京时间6月5日,IBM官方发布通告修复了WebSphere Application Server(WAS)中的远程代码执行(CVE-2020-4450)漏洞,此漏洞由IIOP协议上的反序列化造成,未经身份认证的攻击者可以通过IIOP协议远程攻击WAS服务器,在目标服务端执行任意代码,获取系统权限,进而接管服务器。

CVSS评分为9.8分,漏洞危害较高。

WebSphere Application Server是企业级Web中间件,由于其可靠、灵活和健壮的特点,被广泛应用于企业的Web服务中。影响面较大,请相关用户尽快采取措施进行防护。

参考链接:

https://www.ibm.com/support/pages/node/6220276

影响范围

受影响版本

  • WebSphere Application Server 9.0.0.0 – 9.0.5.4
  • WebSphere Application Server 8.5.0.0 – 8.5.5.17
  • WebSphere Application Server 8.0.0.0 – 8.0.0.15 
  • WebSphere Application Server 7.0.0.0 – 7.0.0.45

注:WebSphere Application Server V7.0 和 V8.0官方已停止维护。

漏洞检测

版本检测

相关用户可通过版本检测的方式判断当前应用是否存在风险。

方法一:登录websphere管理平台首页查看版本信息。

若当前使用版本在受影响范围内,则可能存在安全风险。

方法二:进入/opt/IBM/WebSphere/AppServer/bin目录下,执行./versionInfo.sh即可查看当前版本,查看Package日期,如果低于20200603则说明存在安全风险。

./versionInfo.sh

漏洞防护

官方升级

目前官方已发布补丁修复了该漏洞,对于已停止维护的版本也提供了安全补丁,请受影响的用户尽快安装进行防护。

相关用户可通过IBM Installation Manager进行升级,根据提示进行版本更新、补丁安装。

用户也可至官网手动下载补丁并安装。

受影响版本修复方法
9.0.0.0 – 9.0.5.4安装补丁PH25074
8.5.0.0 – 8.5.5.17安装补丁PH25074
8.0.0.0 – 8.0.0.15升级至8.0.0.15 版本,并安装补丁PH25074
7.0.0.0 – 7.0.0.45升级至7.0.0.45版本,并安装补丁PH25074

补丁下载:

https://www.ibm.com/support/pages/node/6220276

注:安装补丁之前请先关闭WebSphere服务,安装完成后再将服务开启。

Meet The Author

威胁通告类文章

Leave Comment